
var sourcePath = "";
var destinationPath = "";

function field1_onDataUpdate(me, eventInfo)
{
    //Set the typed value into the global JS variable "sourcePath"
    sourcePath = eventInfo.newValue;
    //Load the files names into the comboBox
    loadCombo(sourcePath, "Combo1");
    return false; 
}

function field2_onDataUpdate(me, eventInfo)
{
    //Set the typed value into the global JS variable "destinationPath"
    destinationPath = eventInfo.newValue;
    //Load the files names into the comboBox
    loadCombo(destinationPath, "Combo2");
    return false; 
}

function buttonStd4_onMouseClick(me, eventInfo)
{
    //Button "reload files from source path"
    loadCombo(sourcePath, "Combo1");
}

function buttonStd5_onMouseClick(me, eventInfo)
{
    //Button "reload files from destination path"
    loadCombo(destinationPath, "Combo2");
}

function loadCombo(path, comboName)
{
    //Load files names into ComboBox
    if (path === "") return;
    var files = fs.readdir(path);
    
    var list = "";
    for (var i in files) {
        if (list == "") {
            list = files[i];
        } else {
            list = list + "," + files[i];
        }
    }
    
    var cmb = page.getWidget(comboName);
    cmb.setProperty("list", list);
}

function buttonStd6_onMouseClick(me, eventInfo)
{
    //Delete from source path the file selected into Combo1
    var cmb = page.getWidget("Combo1");
    var index = cmb.getProperty("index");
    var fileName = cmb.getProperty("list").split(",")[index];
    fs.unlink(sourcePath + "\\" + fileName);
    loadCombo(sourcePath, "Combo1");
}

function buttonStd7_onMouseClick(me, eventInfo)
{
    //Copy to destination folder the file selected into Combo1
    var cmb = page.getWidget("Combo1");
    var index = cmb.getProperty("index");
    var fileName = cmb.getProperty("list").split(",")[index];
        
    var source = sourcePath + "\\" + fileName;
    var destination = destinationPath + "\\" + fileName;
        
    var fileContent = fs.readFile(source, "b");
    fs.writeFile(destination, fileContent, "rb");
    loadCombo(destinationPath, "Combo2");
}
